# Internationalisation avec une section data dans le fichier psm1

$script:localizedData = data {
    ConvertFrom-StringData -StringData @'
    GetSerialNumber = Récupération du numéro de série de la machine locale.
    CalculatedSize =  Mesure de la taille du dossier en se basant sur la somme de tous les fichiers.
'@
}

Import-LocalizedData -BindingVariable script:localizedData #-ErrorAction SilentlyContinue

Function Get-PSSerialNumber { 
    [CmdletBinding()]
    Param()

    Write-Verbose $script:localizedData.GetSerialNumber
    
    (Get-CIMInstance -ClassName Win32_Bios).SerialNumber 
} 

Function Get-PSFolderSize { 
    [CmdletBinding()]
    Param( 
        [ValidateScript({Test-Path $_})]
        [String]$Path
    )
    Write-Verbose $script:localizedData.CalculatedSize

    (Get-ChildItem -Path $Path -Recurse -File | ` 
    Measure-Object -Property Length -Sum ).Sum /1MB 
}
